<?       	
	require("../clases/alumno.class.php"); $objalu = new alumno();	
	require("../clases/nota.class.php"); $objnota = new nota();
	require("../clases/cabevaluacion.class.php"); $Objvent = new cabevaluacion();
	include("../clases/doc_curso.class.php"); $objdc = new doc_curso();
    include("../clases/curso.class.php"); $objcurso = new curso();
	include("../clases/matricula.class.php"); $objmat = new matricula();

	//////////////////////////////////////777
	$idalu = $_REQUEST["idalu"];
	if($objalu->BuscarPorCodigo($idalu)){
	    $nombre = $objalu->getNombres();
		$apellidos = $objalu->getApellidos();
	}
	///////////////////////////////////////////
	$ideva = $_REQUEST["ideva"];
	if($Objvent->BuscarPorCodigo($ideva))
	{		
		$viddoc_curso=$Objvent->getIddoc_curso();
		$vtitulo =$Objvent->getTitulo();		
		if($objdc->BuscarPorCodigo($viddoc_curso))
		  {		$iddoc = $objdc->getIddoc();
		     $vidcurso = $objdc->getIdcurso();
			 if($objcurso->BuscarPorCodigo($vidcurso)){
			    $curso = $objcurso->getCurso();
			 }
		  }		
	 }
	/////////////////////////////////////////	
	echo "<link href='../css/bootstrap.min.css' rel='stylesheet'>";
	echo "<link href='../css/css.css' rel='stylesheet' type='text/css'>";		  
	
	 if($objmat->Verificar($viddoc_curso,$idalu))
	     {     
				 echo "<font face=verdana size=2 color=#006699>ALUMNO: "; echo $nombre." ".$apellidos." </font><br>";
				 echo "<font face=verdana size=2 color=#006699>EVALUACION: "; echo $vtitulo." DEL CURSO DE: ".$curso." </font><br>";
			  
				 $n = $_REQUEST["correcto"];			
				 $p =  $_REQUEST["puntaje"];
			if($n=="")
			{
			   $s=0;
			   $a=0;
			   if($objnota->Crear($ideva,$idalu,$s)){
						 echo "<code>NUMERO DE ACIERTOS: ".$a;
						 echo "<br> TODAS SIN MARCAR(SE CONSIDERAN ERRORES): ";
						 echo "<br> NOTA FINAL: ".$s."</code>";
				}else{echo "NO SE PUDO PROCESAR LA EVALUACION!!!";}
			}else{
					 for($i=0;$i<count($n);$i++){
				 //echo $p[$i];
					   if($n[$i]=="SI"){
						 $s=$s+$p[$i];
						 $a++;
					   }else{
							 $s=$s+0;
							 $e++;
							}				  		      
					  }
					  if($objnota->Crear($ideva,$idalu,$s)){
						 echo "<code>NUMERO DE ACIERTOS: ".$a;
						 echo "<br> NUMERO DE ERRORES: ".$e;
						 echo "<br> NOTA FINAL: ".$s;
					   }else{echo "NO SE PUDO PROCESAR LA EVALUACION!!!</code>";}
				   }
				}///cierra el if principal
			else{
					echo "<div class='container'>";
					echo "<font face=verdana size=2 color=#006699>Ud. no esta inscrito en este curso, por lo tanto no pierda el tiempo</font><br>";
	   				echo "<font face=verdana size=2 color=#006699>Este examen no sera procesado!!!</font><br>";
					echo "<font face=verdana size=2 color=#006699><a href='../listaentradas.php' class='btn btn-warning'>Me Voy</a></font>";
					echo "</div>";
 				}
?>